import React from "react";
import { ImagePickerPropTypes as BasePropsType } from "./PropsType";
export interface ImagePickerPropTypes extends BasePropsType {
    prefixCls?: string;
    className?: string;
}
declare function noop(): void;
export default class ImagePicker extends React.Component<ImagePickerPropTypes, any> {
    static defaultProps: {
        prefixCls: string;
        files: never[];
        onChange: typeof noop;
        onImageClick: typeof noop;
        onAddImageClick: typeof noop;
        onFail: typeof noop;
        selectable: boolean;
        multiple: boolean;
        accept: string;
    };
    fileSelectorInput: any;
    getOrientation: (file: any, callback: any) => void;
    getRotation: (orientation?: number) => number;
    removeImage: (index: any) => void;
    addImage: (imgItem: any) => void;
    onImageClick: (index: any) => void;
    onFileChange: () => void;
    parseFile: (file: any, index: any) => void;
    render(): JSX.Element;
}
export {};
