import React from "react";
import { InputProps as BasePropsType } from "./PropsType";
export interface InputProps extends BasePropsType {
    prefixCls?: string;
    prefixListCls?: string;
    className?: string;
}
declare function noop(): void;
export default class InputItem extends React.Component<InputProps, any> {
    static defaultProps: {
        prefixCls: string;
        prefixListCls: string;
        type: string;
        editable: boolean;
        disabled: boolean;
        placeholder: string;
        clear: boolean;
        onChange: typeof noop;
        onBlur: typeof noop;
        onFocus: typeof noop;
        extra: string;
        onExtraClick: typeof noop;
        error: boolean;
        onErrorClick: typeof noop;
        labelNumber: number;
        updatePlaceholder: boolean;
        moneyKeyboardAlign: string;
    };
    inputRef: any;
    private debounceTimeout;
    constructor(props: any);
    componentWillReceiveProps(nextProps: any): void;
    componentWillUnmount(): void;
    onInputChange: (e: any) => void;
    onInputFocus: (value: any) => void;
    onInputBlur: (value: any) => void;
    onExtraClick: (e: any) => void;
    onErrorClick: (e: any) => void;
    clearInput: () => void;
    focus: () => void;
    render(): JSX.Element;
}
export {};
