import React from "react";
export interface TabBarProps {
    barTintColor?: string;
    tintColor?: string;
    unselectedTintColor?: string;
    children?: any;
    prefixCls?: string;
    className?: string;
    hidden?: boolean;
    placeholder?: React.ReactNode;
    animated?: boolean;
    swipeable?: boolean;
    noRenderContent?: boolean;
}
export interface TabBarItemProps {
    badge?: string | number;
    onPress?: () => void;
    selected?: boolean;
    icon?: any;
    selectedIcon?: any;
    title: string;
    dot?: boolean;
    prefixCls?: string;
    style?: any;
}
