import React from "react";
export interface ButtonProps {
    type?: "primary" | "warning" | "ghost";
    size?: "xxs" | "xs" | "sm" | "md" | "lg";
    icon?: string;
    activeStyle?: boolean | Object;
    disabled?: boolean;
    onClick?: (x?: any) => void;
    loading?: boolean;
    style?: React.CSSProperties;
}
export interface ITouchButtonProps {
    disabled?: boolean;
    activeClassName?: string;
    activeStyle?: any;
    onTouchStart?: Function;
    onTouchEnd?: Function;
    onTouchCancel?: Function;
    onMouseDown?: Function;
    onMouseUp?: Function;
    onMouseLeave?: Function;
}
export interface ITouchButtonState {
    active: boolean;
}
