import React, { ReactNode } from "react";
export interface ListProps {
    renderHeader?: Function | JSX.Element;
    renderFooter?: Function | JSX.Element;
    children?: JSX.Element | JSX.Element[];
    style?: any;
}
export interface ListItemProps {
    align?: "top" | "middle" | "bottom";
    disabled?: boolean;
    multipleLine?: boolean;
    children?: ReactNode;
    thumb?: ReactNode | null;
    extra?: ReactNode;
    arrow?: "horizontal" | "down" | "up" | "empty" | "";
    wrap?: boolean;
    onClick?: (e?: any) => void;
    style?: any;
    activeStyle?: React.CSSProperties;
    error?: boolean;
    platform?: "android" | "ios";
}
export interface BriefProps {
    children?: ReactNode;
    wrap?: boolean;
    style?: any;
}
